std::ostream_iterator< _Tp, _CharT, _Traits > Class Template Reference
Iterators
Inheritance diagram for std::ostream_iterator< _Tp, _CharT, _Traits >:
[legend]

## Public Types

typedef _CharT | char_type
typedef void | difference_type
typedef output_iterator_tag | iterator_category
typedef basic_ostream< _CharT, _Traits > | ostream_type
typedef void | pointer
typedef void | reference
typedef _Traits | traits_type
typedef void | value_type

## Public Member Functions

| ostream_iterator (const ostream_iterator &__obj)
| ostream_iterator (ostream_type &__s)
| ostream_iterator (ostream_type &__s, const _CharT *__c)
ostream_iterator & | operator* ()
ostream_iterator & | operator++ ()
ostream_iterator & | operator++ (int)
ostream_iterator & | operator= (const _Tp &__value)

## Detailed Description

### template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::ostream_iterator< _Tp, _CharT, _Traits >

Provides output iterator semantics for streams.

This class provides an iterator to write to an ostream. The type Tp is the only type written by this iterator and there must be an operator<<(Tp) defined.

Template Parameters

  _Tp | The type to write to the ostream.
  _CharT | The ostream char_type.
  _Traits | The ostream char_traits.

Definition at line 154 of file stream_iterator.h.

## Member Typedef Documentation

## difference_type

typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type

inherited

Distance between iterators is represented as this type.

Definition at line 125 of file stl_iterator_base_types.h.

## iterator_category

typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category

inherited

One of the tag types.

Definition at line 121 of file stl_iterator_base_types.h.

## pointer

typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer

inherited

This type represents a pointer-to-value_type.

Definition at line 127 of file stl_iterator_base_types.h.

## reference

typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference

inherited

This type represents a reference-to-value_type.

Definition at line 129 of file stl_iterator_base_types.h.

## value_type

typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type

inherited

The type "pointed to" by the iterator.

Definition at line 123 of file stl_iterator_base_types.h.

The documentation for this class was generated from the following file:

- stream_iterator.h